Page MenuHomePhabricator

Twitter forces an ungrammatical word order for "@Wikipedia" in Japanese
Closed, ResolvedPublic

Description

I'm new to Phabricator so forgive me and correct the title if it's not appropriate.
The original question was raised here: https://translatewiki.net/wiki/Thread:Support/About_Wikimedia:Wikipedia-ios-share-article-name-on-wikipedia/ja

The original English string is:
"$1" on @Wikipedia

And I'm trying to translate this into Japanese.
@Wikipedia seems the Twitter account of Wikipedia. If so, will this string come right beginning of tweets? I tried translating this as:

@Wikipedia の記事「$1」

But if it comes at the beginning of a tweet, the tweet should be displayed only to followers of @Wikipedia. To avoid this, I'd better including a trick like:

.@Wikipedia の記事「$1」

As Nemo noted, such modification will be "customization", rather than translation.
Any ideas? Adopting other Japanese expression may be one solution, however, @Wikipedia comes in front in Japanese grammar, anyway. If given more contexts, that would be helpful.

Event Timeline

Takot created this task.Feb 15 2015, 4:37 PM
Takot raised the priority of this task from to Needs Triage.
Takot updated the task description. (Show Details)
Takot added a subscriber: Takot.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2015, 4:37 PM
Nemo_bis set Security to None.Feb 16 2015, 9:46 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: gpaumier.

@Takot Thanks for the report. We've had issues with the same string on Android, mainly because the purpose of the string is complicated and we're not adequately explaining what we're using it for.

I'm going to write a patch which improves the description for the string. I'd appreciate your feedback on whether this improvement is helpful to you when translating it.

gerritbot added a subscriber: gerritbot.

Change 190941 had a related patch set uploaded (by Deskana):
Improve descriptions for some strings in Share a Fact feature.

https://gerrit.wikimedia.org/r/190941

Patch-For-Review

Change 190941 merged by Mhurd:
Improve descriptions for some strings in Share a Fact feature.

https://gerrit.wikimedia.org/r/190941

Deskana closed this task as Resolved.Feb 16 2015, 10:22 PM
Deskana claimed this task.
Deskana added a subscriber: Nemo_bis.

I'm closing this as resolved as, hopefully, the improved description which was just merged (and will be synced with translatewiki soon) will help people translate this message better.

@Takot @Nemo_bis Please do reopen this ticket if what I've done isn't enough and more clarification/input from me is needed. Thanks!

Deskana triaged this task as High priority.Feb 16 2015, 10:22 PM

@Takot @Nemo_bis Please do reopen this ticket if what I've done isn't enough and more clarification/input from me is needed. Thanks!

Thanks for the explanation, but I'm not sure that helps. What Takot reported is that this is a weird case of word order restriction: the l10n is ok, but the grammatically correct word order ("@Wikipedia" as first word) is not suitable for the target system.

Docs should probably suggest something like «Replace "@Wikipedia" with "#Wikipedia" if it comes first in your translation», or you could use a translatable hashtag in the message and then have the software append "@Wikipedia" at the bottom (Amazon does something like this, they let you type something but they add some parts of the tweet on their own).

Nemo_bis renamed this task from Wikipedia-ios-share-article-name-on-wikipedia/ja to Twitter forces an ungrammatical word order for "@Wikipedia" in Japanese.Feb 22 2015, 9:19 AM